<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::DDSCodec Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1DDSCodec.html">Ogre::DDSCodec</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DDSCodec.html#759aa4f8f7c28732a1897ca4422c8c35">code</a>(MemoryDataStreamPtr &amp;input, CodecDataPtr &amp;pData) const </td><td><a class="el" href="classOgre_1_1DDSCodec.html">Ogre::DDSCodec</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Codec.html#29e31ad112b08ea7fb648b63f426ff1f">CodecDataPtr</a> typedef</td><td><a class="el" href="classOgre_1_1Codec.html">Ogre::Codec</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Codec.html#21f4b8a16d070793d576f827c9fee218">CodecIterator</a> typedef</td><td><a class="el" href="classOgre_1_1Codec.html">Ogre::Codec</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Codec.html#6359075bde4a8d569b9b8ce66672e7da">CodecList</a> typedef</td><td><a class="el" href="classOgre_1_1Codec.html">Ogre::Codec</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DDSCodec.html#ba8cf4e4e8abd072f216c0ea2f78a069">codeToFile</a>(MemoryDataStreamPtr &amp;input, const String &amp;outFileName, CodecDataPtr &amp;pData) const </td><td><a class="el" href="classOgre_1_1DDSCodec.html">Ogre::DDSCodec</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DDSCodec.html#b477fb789be10194a751381949e8f0e5">convertFourCCFormat</a>(uint32 fourcc) const </td><td><a class="el" href="classOgre_1_1DDSCodec.html">Ogre::DDSCodec</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DDSCodec.html#3431fb0aff96561f9a9ae9d3591b158c">convertPixelFormat</a>(uint32 rgbBits, uint32 rMask, uint32 gMask, uint32 bMask, uint32 aMask) const </td><td><a class="el" href="classOgre_1_1DDSCodec.html">Ogre::DDSCodec</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DDSCodec.html#f1d383551a8a53766b7829fc4edcef32">DDSCodec</a>()</td><td><a class="el" href="classOgre_1_1DDSCodec.html">Ogre::DDSCodec</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DDSCodec.html#cbacbe639b9cdfd554570d1d9a80130b">decode</a>(DataStreamPtr &amp;input) const </td><td><a class="el" href="classOgre_1_1DDSCodec.html">Ogre::DDSCodec</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Codec.html#8cc81c85bd7d4e25393aa153c5e01454">DecodeResult</a> typedef</td><td><a class="el" href="classOgre_1_1Codec.html">Ogre::Codec</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DDSCodec.html#892abf8724729eb87b2339939699fdfb">flipEndian</a>(void *pData, size_t size, size_t count) const </td><td><a class="el" href="classOgre_1_1DDSCodec.html">Ogre::DDSCodec</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DDSCodec.html#617965157d9e6dfe253418d29ffa3f4c">flipEndian</a>(void *pData, size_t size) const </td><td><a class="el" href="classOgre_1_1DDSCodec.html">Ogre::DDSCodec</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Codec.html#cc4ee751f92b6e54051393e74e0a2884">getCodec</a>(const String &amp;extension)</td><td><a class="el" href="classOgre_1_1Codec.html">Ogre::Codec</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Codec.html#55bf1d49e91958f8e412a583666bbd58">getCodecIterator</a>(void)</td><td><a class="el" href="classOgre_1_1Codec.html">Ogre::Codec</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ImageCodec.html#c4b5cbd627bb15c58088eec2319d881a">getDataType</a>() const </td><td><a class="el" href="classOgre_1_1ImageCodec.html">Ogre::ImageCodec</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Codec.html#6092324fd74dd0221f7c63ca8bec4fc1">getExtensions</a>(void)</td><td><a class="el" href="classOgre_1_1Codec.html">Ogre::Codec</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DDSCodec.html#85dd099f7b9b429d5ed0da82e9a3d22f">getType</a>() const </td><td><a class="el" href="classOgre_1_1DDSCodec.html">Ogre::DDSCodec</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Codec.html#715604fe2fb727a6aa4f1e9c9364f870">ms_mapCodecs</a></td><td><a class="el" href="classOgre_1_1Codec.html">Ogre::Codec</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DDSCodec.html#46a9a596e479220b79c805d0be1b69cc">msInstance</a></td><td><a class="el" href="classOgre_1_1DDSCodec.html">Ogre::DDSCodec</a></td><td><code> [private, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DDSCodec.html#63912ad1c6d9bbb128d01ce020d10ee1">mType</a></td><td><a class="el" href="classOgre_1_1DDSCodec.html">Ogre::DDSCodec</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Codec.html#60f445cc6919df56af6611fd14eec47d">registerCodec</a>(Codec *pCodec)</td><td><a class="el" href="classOgre_1_1Codec.html">Ogre::Codec</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DDSCodec.html#ae381da92b05b396bd506eb4dab00ebc">shutdown</a>(void)</td><td><a class="el" href="classOgre_1_1DDSCodec.html">Ogre::DDSCodec</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DDSCodec.html#2bdc6c24a6bdd6659da64f3202e28808">startup</a>(void)</td><td><a class="el" href="classOgre_1_1DDSCodec.html">Ogre::DDSCodec</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DDSCodec.html#eded87a6dfa34ab2c5ea414f8b2d8b79">unpackDXTAlpha</a>(const DXTExplicitAlphaBlock &amp;block, ColourValue *pCol) const </td><td><a class="el" href="classOgre_1_1DDSCodec.html">Ogre::DDSCodec</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DDSCodec.html#972ff5083495e26c2ca0124f38dc7264">unpackDXTAlpha</a>(const DXTInterpolatedAlphaBlock &amp;block, ColourValue *pCol) const </td><td><a class="el" href="classOgre_1_1DDSCodec.html">Ogre::DDSCodec</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DDSCodec.html#fddd4faa5d1a08599dd1cb3d51304c13">unpackDXTColour</a>(PixelFormat pf, const DXTColourBlock &amp;block, ColourValue *pCol) const </td><td><a class="el" href="classOgre_1_1DDSCodec.html">Ogre::DDSCodec</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Codec.html#c1199a6638ff560aa81287cd12c26bcf">unRegisterCodec</a>(Codec *pCodec)</td><td><a class="el" href="classOgre_1_1Codec.html">Ogre::Codec</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Codec.html#ee7d2a1126a22bbf3da40088495cb00b">~Codec</a>()</td><td><a class="el" href="classOgre_1_1Codec.html">Ogre::Codec</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DDSCodec.html#033bc39aab1445bb54e509bcc0ce5408">~DDSCodec</a>()</td><td><a class="el" href="classOgre_1_1DDSCodec.html">Ogre::DDSCodec</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ImageCodec.html#bc965356799dafed861787b57e7631e6">~ImageCodec</a>()</td><td><a class="el" href="classOgre_1_1ImageCodec.html">Ogre::ImageCodec</a></td><td><code> [virtual]</code></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:31 2008
</p>
</body>
</html>
